## ros-resource-retriever 1.11.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(resource_retriever)

find_package(catkin REQUIRED COMPONENTS rosconsole roslib)

catkin_python_setup()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include)

include_directories(include)

find_package(catkin REQUIRED COMPONENTS rosconsole roslib)
include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

include(FindCURL)
if(NOT CURL_FOUND)
  message("CURL not found!  Aborting...")
  fail()
endif(NOT CURL_FOUND)
include_directories(${CURL_INCLUDE_DIRS})


add_library(${PROJECT_NAME} src/retriever.cpp)
target_link_libraries(${PROJECT_NAME} ${CURL_LIBRARIES} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test EXCLUDE_FROM_ALL)
endif()

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR})

catkin_add_gtest(${PROJECT_NAME}_utest test.cpp)
target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})

=== debian/changelog ===
ros-resource-retriever (1.11.6-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:06:30 +0100

ros-resource-retriever (1.11.6-1) unstable; urgency=medium

  * Initial release (Closes: #805338)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 21:43:05 +0000

=== debian/control ===
Source: ros-resource-retriever
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, dh-python
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ros.org/wiki/resource_retriever
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-resource-retriever.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-resource-retriever.git

Package: libresource-retriever0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS resource_retriever library
 This package is part of Robot OS (ROS). It retrieves data from
 url-format files such as http://, ftp://, package:// file://, etc.,
 and loads the data into memory. The package:// url for ros packages
 is translated into a local file:// url. The resource retriever was
 initially designed to load mesh files into memory, but it can be used
 for any type of data. The resource retriever is based on the libcurl library.
 .
 This package contains the library itself.

Package: libresource-retriever-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libresource-retriever0d ( = ${binary:Version}),
	${python:Depends}, python, libboost-thread-dev, librosconsole-dev, libroslib-dev
Description: Robot OS resource_retriever library - development files
 This package is part of Robot OS (ROS). It retrieves data from
 url-format files such as http://, ftp://, package:// file://, etc.,
 and loads the data into memory. The package:// url for ros packages
 is translated into a local file:// url. The resource retriever was
 initially designed to load mesh files into memory, but it can be used
 for any type of data. The resource retriever is based on the libcurl library.
 .
 This package contains the development files.

Package: python-resource-retriever
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS resource_retriever library - Python
 This package is part of Robot OS (ROS). It retrieves data from
 url-format files such as http://, ftp://, package:// file://, etc.,
 and loads the data into memory. The package:// url for ros packages
 is translated into a local file:// url. The resource retriever was
 initially designed to load mesh files into memory, but it can be used
 for any type of data. The resource retriever is based on the libcurl library.
 .
 This package contains the Python binding.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/resource_retriever-$1\.tar\.gz/ \
  https://github.com/ros/resource_retriever/releases .*/v?(\d\S*)\.tar\.gz

## ros-resource-retriever 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(resource_retriever)
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 find_package(catkin REQUIRED COMPONENTS rosconsole roslib)
 
@@ -11,7 +13,7 @@
 
 include_directories(include)
 
-find_package(catkin REQUIRED COMPONENTS rosconsole roslib)
+
 include_directories(${catkin_INCLUDE_DIRS})
 link_directories(${catkin_LIBRARY_DIRS})

=== debian/changelog ===
ros-resource-retriever (1.12.2-1) unstable; urgency=medium

  * Imported Upstream version 1.12.2

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 22:55:57 +0200

## ros-resource-retriever 1.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(resource_retriever)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")
 
 find_package(catkin REQUIRED COMPONENTS rosconsole roslib)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 
 catkin_add_gtest(${PROJECT_NAME}_utest test.cpp)
 target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
+
+catkin_add_nosetests(test.py)

=== debian/changelog ===
ros-resource-retriever (1.12.3-2) unstable; urgency=medium

  * Limit watch file to ROS1 versions
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Add missing dependencies (Closes: #896257)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:41:26 +0200

ros-resource-retriever (1.12.3-1) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.12.3
  * Rebase patch
  * Update policy and debhelper versions
  * Update copyright
  * Update watch file
  * Remove parallel (Default for debhelper 10)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:56:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, dh-python
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, dh-python
+Standards-Version: 4.1.2
 Section: libs
-Homepage: http://www.ros.org/wiki/resource_retriever
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-resource-retriever.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-resource-retriever.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/resource_retriever
+Vcs-Browser: https://salsa.debian.org/science-team/ros-resource-retriever
+Vcs-Git: https://salsa.debian.org/science-team/ros-resource-retriever.git
 
 Package: libresource-retriever0d
 Architecture: any
@@ -43,7 +44,7 @@
 Package: python-resource-retriever
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, libresource-retriever-dev
 Description: Robot OS resource_retriever library - Python
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with python2

# test suite is broken atm.
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-resource-retriever 1.12.4

=== debian/changelog ===
ros-resource-retriever (1.12.4-2) unstable; urgency=medium

  * Add Python 3 package
  * Fix copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Jul 2018 11:29:48 +0200

ros-resource-retriever (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Bump policy version
  * Rebase patch
  * Add Multi-Arch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 19:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, dh-python
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, python3-all, dh-python
+Standards-Version: 4.1.5
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/resource_retriever
@@ -29,6 +29,7 @@
 Package: libresource-retriever-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libresource-retriever0d ( = ${binary:Version}),
 	${python:Depends}, python, libboost-thread-dev, librosconsole-dev, libroslib-dev
 Description: Robot OS resource_retriever library - development files
@@ -45,7 +46,7 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, libresource-retriever-dev
-Description: Robot OS resource_retriever library - Python
+Description: Robot OS resource_retriever library - Python 2
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,
  and loads the data into memory. The package:// url for ros packages
@@ -53,4 +54,18 @@
  initially designed to load mesh files into memory, but it can be used
  for any type of data. The resource retriever is based on the libcurl library.
  .
- This package contains the Python binding.
+ This package contains the Python 2 binding.
+
+Package: python3-resource-retriever
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, libresource-retriever-dev
+Description: Robot OS resource_retriever library - Python 3
+ This package is part of Robot OS (ROS). It retrieves data from
+ url-format files such as http://, ftp://, package:// file://, etc.,
+ and loads the data into memory. The package:// url for ros packages
+ is translated into a local file:// url. The resource retriever was
+ initially designed to load mesh files into memory, but it can be used
+ for any type of data. The resource retriever is based on the libcurl library.
+ .
+ This package contains the Python 3 binding.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with python2,python3

# test suite is broken atm.
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-resource-retriever-$1.tar.gz%" \
    https://github.com/ros/resource_retriever/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz debian uupdate

## ros-resource-retriever 1.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,25 +5,26 @@
 
 find_package(catkin REQUIRED COMPONENTS rosconsole roslib)
 
-catkin_python_setup()
-
-catkin_package(
-  LIBRARIES ${PROJECT_NAME}
-  INCLUDE_DIRS include)
-
-include_directories(include)
-
-
-include_directories(${catkin_INCLUDE_DIRS})
-link_directories(${catkin_LIBRARY_DIRS})
+find_package(Boost REQUIRED)
 
 include(FindCURL)
 if(NOT CURL_FOUND)
   message("CURL not found!  Aborting...")
   fail()
 endif(NOT CURL_FOUND)
-include_directories(${CURL_INCLUDE_DIRS})
 
+include_directories(include
+                    ${catkin_INCLUDE_DIRS}
+                    ${CURL_INCLUDE_DIRS}
+                    ${Boost_INCLUDE_DIRS})
+
+link_directories(${catkin_LIBRARY_DIRS})
+
+catkin_python_setup()
+
+catkin_package(
+  LIBRARIES ${PROJECT_NAME}
+  INCLUDE_DIRS include)
 
 add_library(${PROJECT_NAME} src/retriever.cpp)
 target_link_libraries(${PROJECT_NAME} ${CURL_LIBRARIES} ${catkin_LIBRARIES})

=== debian/changelog ===
ros-resource-retriever (1.12.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:33 +0100

ros-resource-retriever (1.12.5-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938390)
  * Bump policy versions (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:38:54 +0200

ros-resource-retriever (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI
  * cleanup rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Sep 2019 19:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python-all, python3-all, dh-python
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python3-all, dh-python
+Standards-Version: 4.4.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/resource_retriever
@@ -31,7 +31,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libresource-retriever0d ( = ${binary:Version}),
-	${python:Depends}, python, libboost-thread-dev, librosconsole-dev, libroslib-dev
+	${python3:Depends}, python3, libboost-thread-dev, librosconsole-dev, libroslib-dev
 Description: Robot OS resource_retriever library - development files
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,
@@ -42,24 +42,10 @@
  .
  This package contains the development files.
 
-Package: python-resource-retriever
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, libresource-retriever-dev
-Description: Robot OS resource_retriever library - Python 2
- This package is part of Robot OS (ROS). It retrieves data from
- url-format files such as http://, ftp://, package:// file://, etc.,
- and loads the data into memory. The package:// url for ros packages
- is translated into a local file:// url. The resource retriever was
- initially designed to load mesh files into memory, but it can be used
- for any type of data. The resource retriever is based on the libcurl library.
- .
- This package contains the Python 2 binding.
-
 Package: python3-resource-retriever
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, libresource-retriever-dev
+Depends: ${python3:Depends}, ${misc:Depends}, python3-roslib, libresource-retriever-dev
 Description: Robot OS resource_retriever library - Python 3
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,

## ros-resource-retriever 1.12.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(resource_retriever)
 
 set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")

=== debian/changelog ===
ros-resource-retriever (1.12.6-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 13:02:22 +0100

ros-resource-retriever (1.12.6-2) unstable; urgency=medium

  * Add patch against test using internet (Closes: #962434)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 08 Jun 2020 22:56:02 +0200

ros-resource-retriever (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 20:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-resource-retriever
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python3-all, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python3-all, dh-sequence-python3
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/resource_retriever

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-resource-retriever-$1.tar.gz%" \
    https://github.com/ros/resource_retriever/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz

## ros-resource-retriever 1.12.7

=== debian/changelog ===
ros-resource-retriever (1.12.7-6) unstable; urgency=medium

  * Properly restrict d/watch to ROS 1 versions

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Oct 2024 22:13:40 +0200

ros-resource-retriever (1.12.7-5) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Sep 2024 23:45:42 +0200

ros-resource-retriever (1.12.7-4) unstable; urgency=medium

  * Drop unused python3-all dependency for cross builds
  * Drop unused python3 dependency for cross builds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:49:47 +0200

ros-resource-retriever (1.12.7-3) unstable; urgency=medium

  * Add patch to switch to setuptools (Closes: #1020015)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2022 13:03:22 +0200

ros-resource-retriever (1.12.7-2) unstable; urgency=medium

  * Add patch for new log4cxx.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 09:14:13 +0100

ros-resource-retriever (1.12.7-1) unstable; urgency=medium

  * Simplify d/rules
  * New upstream version 1.12.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Dec 2021 11:36:58 +0100

ros-resource-retriever (1.12.6-6) unstable; urgency=medium

  * Add missing build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Oct 2021 22:02:43 +0200

ros-resource-retriever (1.12.6-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:53:52 +0200

ros-resource-retriever (1.12.6-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Sep 2021 21:22:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Source: ros-resource-retriever
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, libroslib-dev, libcurl4-openssl-dev | libcurl-dev, python3-all, dh-sequence-python3
-Standards-Version: 4.5.1
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
+Build-Depends:
+ catkin (>= 0.8.10-1~),
+ debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
+ libcurl4-openssl-dev | libcurl-dev,
+ libgtest-dev,
+ librosconsole-dev,
+ libroslib-dev,
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/resource_retriever
@@ -13,7 +23,9 @@
 
 Package: libresource-retriever0d
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Robot OS resource_retriever library
  This package is part of Robot OS (ROS). It retrieves data from
@@ -29,8 +41,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libresource-retriever0d ( = ${binary:Version}),
-	${python3:Depends}, python3, libboost-thread-dev, librosconsole-dev, libroslib-dev
+Depends:
+ libboost-thread-dev,
+ libresource-retriever0d ( = ${binary:Version}),
+ librosconsole-dev,
+ libroslib-dev,
+ ${misc:Depends},
 Description: Robot OS resource_retriever library - development files
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,
@@ -44,7 +60,11 @@
 Package: python3-resource-retriever
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-roslib, libresource-retriever-dev
+Depends:
+ libresource-retriever-dev,
+ python3-roslib,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Robot OS resource_retriever library - Python 3
  This package is part of Robot OS (ROS). It retrieves data from
  url-format files such as http://, ftp://, package:// file://, etc.,

## ros-resource-retriever 1.12.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(resource_retriever)
-
-set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")
 
 find_package(catkin REQUIRED COMPONENTS rosconsole roslib)
 
@@ -27,14 +25,16 @@
   INCLUDE_DIRS include)
 
 add_library(${PROJECT_NAME} src/retriever.cpp)
-target_link_libraries(${PROJECT_NAME} ${CURL_LIBRARIES} ${catkin_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} CURL::libcurl ${catkin_LIBRARIES})
 
 if(CATKIN_ENABLE_TESTING)
   add_subdirectory(test EXCLUDE_FROM_ALL)
 endif()
 
 install(TARGETS ${PROJECT_NAME}
-  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
+  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR})

catkin_add_gtest(${PROJECT_NAME}_utest test.cpp)
if(TARGET ${PROJECT_NAME}_utest)
  target_link_libraries(${PROJECT_NAME}_utest ${PROJECT_NAME})
endif()

catkin_add_nosetests(test.py)

=== debian/changelog ===
ros-resource-retriever (1.12.10-1) unstable; urgency=medium

  * New upstream version 1.12.10
  * Update patches.
    Merged: 0003-Add-patch-for-new-log4cxx.patch
    Merged: 0004-Switch-to-setuptools.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:51:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin (>= 0.8.10-1~),
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin (>= 0.8.10-1~),
  libcurl4-openssl-dev | libcurl-dev,
  libgtest-dev,
  librosconsole-dev,
  libroslib-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/resource_retriever

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros/resource_retriever/git/matching-refs/tags/1 \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
